summaryrefslogtreecommitdiff
path: root/sh/init-functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/init-functions.sh')
-rw-r--r--sh/init-functions.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/sh/init-functions.sh b/sh/init-functions.sh
index 400a82b..7afcf2b 100644
--- a/sh/init-functions.sh
+++ b/sh/init-functions.sh
@@ -31,13 +31,13 @@ try() {
local errstr
local retval=0
- if [ -c /dev/null ] ; then
+ if [ -c /dev/null ]; then
errstr=$(eval $* 2>&1 >/dev/null)
else
errstr=$(eval $* 2>&1)
fi
retval=$?
- if [ ${retval} -ne 0 ] ; then
+ if [ ${retval} -ne 0 ]; then
#splash "critical" &
eend 1
eerror "The \"$*\" command failed with error:"
@@ -58,8 +58,8 @@ try() {
check_statedir() {
[ -z "$1" ] && return 0
- if [ ! -d "$1" ] ; then
- if ! mkdir -p "$1" &>/dev/null ; then
+ if [ ! -d "$1" ]; then
+ if ! mkdir -p "$1" &>/dev/null; then
#splash "critical" &
echo
eerror "To function properly, \"$1\" needs to exist."
@@ -72,7 +72,7 @@ check_statedir() {
fi
mkdir -p "$1"
fi
- if [ ! -d "$1" ] ; then
+ if [ ! -d "$1" ]; then
eerror "Please mount your root partition read/write, and execute:"
echo
eerror " # mkdir -p $1"